PagedResponseOfCompanyForContact
Paginated response with cursor-based pagination.
- dataType: array object[] · CompanyForContact[]required
The list of data items for this page.
A company linked to a contact, with relationship metadata. Used by GET /contacts/{id}/companies sub-resource endpoint.
- createdType: stringFormat: date-time
Utc requiredWhen the link was created (UTC).
- idType: stringrequired
Company ID.
- linkType: string
Id requiredLink ID (the contact-company relationship ID).
- nameType: stringrequired
Company name.
- updatedType: stringFormat: date-time
Utc requiredWhen the link was last updated (UTC).
- domainType: null | string
Company domain.
- isType: boolean
Primary Whether this is the contact's primary company.
- jobType: null | string
Title Job title at this company.
- uriType: null | string
Opaque canonical Propstreet entity URI for deep linking.
- pageType: object · PageInforequired
Pagination metadata.
- hasType: boolean
More requiredTrue if there are more results available after this page.
- pageType: integer | string
Size Pattern: ^-?(?:0|[1-9]\d*)$Format: int32requiredNumber of items requested per page.
- nextType: null | string
Cursor Opaque cursor string to fetch the next page of results. Null if there are no more results.